Subject: Re: What's cooking in git.git (Nov 2024, #10; Thu, 28)

From: Junio C Hamano <[email-masked]>
Date: Mon, 02 Dec 2024 09:39:06 +0900

Phillip Wood <[email-masked]> writes:

> Hi Junio
>
> On 28/11/2024 05:35, Junio C Hamano wrote:
>> * cw/worktree-extension (2024-11-26) 8 commits
>>   - worktree: refactor `repair_worktree_after_gitdir_move()`
>>   - worktree: add relative cli/config options to `repair` command
>>   - worktree: add relative cli/config options to `move` command
>>   - worktree: add relative cli/config options to `add` command
>>   - worktree: add `write_worktree_linking_files()` function
>>   - worktree: refactor infer_backlink return
>>   - worktree: add `relativeWorktrees` extension
>>   - setup: correctly reinitialize repository version
>>   Introduce a new repository extension to prevent older Git versions
>>   from mis-interpreting worktrees created with relative paths.
>>   Will merge to 'next'?
>>   source: <[email-masked]>
>
> I've had a look at the range-diff for the latest version and had a
> query about the removal of a check from one of the tests[1]. Perhaps
> we should wait to hear from Caleb about that, but if you're keen to
> get these merged down in time for the next release we could just fix
> up the test later if it turns out to be necessary - I think the code
> changes are all fine.

Thanks for reviewing (and thanks Caleb for working on) this topic.
I see the latest iteration v6 has added back the extension checking,
so we probably are good to go.